summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2018-11-10 10:33:36 -0800
committerMatt Turner <mattst88@gentoo.org>2018-11-10 10:46:56 -0800
commit4d352ccbca4ba4e136efdee4ac5962724ee6294c (patch)
treefc177dd736ab5a94e2df7f5a7bbf5a7b1a0d70d4
parentapp-misc/lcdproc: bump to version 0.5.9 (diff)
downloadgentoo-4d352ccbca4ba4e136efdee4ac5962724ee6294c.tar.gz
gentoo-4d352ccbca4ba4e136efdee4ac5962724ee6294c.tar.bz2
gentoo-4d352ccbca4ba4e136efdee4ac5962724ee6294c.zip
media-libs/mesa: Add REQUIRED_USE For USE=d3d9
The new Meson build requires a suitable driver to be enabled, and ignoring the d3d9 USE flag isn't safe since WINE has a dependency on mesa[d3d9]. Closes: https://bugs.gentoo.org/670737 Signed-off-by: Matt Turner <mattst88@gentoo.org>
-rw-r--r--media-libs/mesa/mesa-18.2.4.ebuild13
-rw-r--r--media-libs/mesa/mesa-9999.ebuild13
2 files changed, 2 insertions, 24 deletions
diff --git a/media-libs/mesa/mesa-18.2.4.ebuild b/media-libs/mesa/mesa-18.2.4.ebuild
index 013ed5b1e1f..661f4153d49 100644
--- a/media-libs/mesa/mesa-18.2.4.ebuild
+++ b/media-libs/mesa/mesa-18.2.4.ebuild
@@ -41,7 +41,7 @@ IUSE="${IUSE_VIDEO_CARDS}
vulkan wayland xa xvmc"
REQUIRED_USE="
- d3d9? ( dri3 )
+ d3d9? ( dri3 || ( video_cards_r300 video_cards_r600 video_cards_radeonsi video_cards_nouveau video_cards_vmware ) )
gles1? ( egl )
gles2? ( egl )
vulkan? ( dri3
@@ -250,16 +250,6 @@ llvm_check_deps() {
}
pkg_pretend() {
- if use d3d9; then
- if ! use video_cards_r300 &&
- ! use video_cards_r600 &&
- ! use video_cards_radeonsi &&
- ! use video_cards_nouveau &&
- ! use video_cards_vmware; then
- ewarn "Ignoring USE=d3d9 since VIDEO_CARDS does not contain r300, r600, radeonsi, nouveau, or vmware"
- fi
- fi
-
if use opencl; then
if ! use video_cards_r600 &&
! use video_cards_radeonsi; then
@@ -300,7 +290,6 @@ pkg_pretend() {
fi
if ! use gallium; then
- use d3d9 && ewarn "Ignoring USE=d3d9 since USE does not contain gallium"
use lm_sensors && ewarn "Ignoring USE=lm_sensors since USE does not contain gallium"
use llvm && ewarn "Ignoring USE=llvm since USE does not contain gallium"
use opencl && ewarn "Ignoring USE=opencl since USE does not contain gallium"
diff --git a/media-libs/mesa/mesa-9999.ebuild b/media-libs/mesa/mesa-9999.ebuild
index 23f29b41b35..46f8ece8fa1 100644
--- a/media-libs/mesa/mesa-9999.ebuild
+++ b/media-libs/mesa/mesa-9999.ebuild
@@ -41,7 +41,7 @@ IUSE="${IUSE_VIDEO_CARDS}
vulkan wayland xa xvmc"
REQUIRED_USE="
- d3d9? ( dri3 )
+ d3d9? ( dri3 || ( video_cards_r300 video_cards_r600 video_cards_radeonsi video_cards_nouveau video_cards_vmware ) )
gles1? ( egl )
gles2? ( egl )
vulkan? ( dri3
@@ -245,16 +245,6 @@ llvm_check_deps() {
}
pkg_pretend() {
- if use d3d9; then
- if ! use video_cards_r300 &&
- ! use video_cards_r600 &&
- ! use video_cards_radeonsi &&
- ! use video_cards_nouveau &&
- ! use video_cards_vmware; then
- ewarn "Ignoring USE=d3d9 since VIDEO_CARDS does not contain r300, r600, radeonsi, nouveau, or vmware"
- fi
- fi
-
if use opencl; then
if ! use video_cards_r600 &&
! use video_cards_radeonsi; then
@@ -295,7 +285,6 @@ pkg_pretend() {
fi
if ! use gallium; then
- use d3d9 && ewarn "Ignoring USE=d3d9 since USE does not contain gallium"
use lm_sensors && ewarn "Ignoring USE=lm_sensors since USE does not contain gallium"
use llvm && ewarn "Ignoring USE=llvm since USE does not contain gallium"
use opencl && ewarn "Ignoring USE=opencl since USE does not contain gallium"